/*
 * @(#)ClientSample.java
 *
 * Copyright (C) 2006 Infocity Inc. All Rights Reserved.
 */
package sample;

import info.dragonlady.system.service.CooperationClient;

/**
 * TODO クラス概要
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2006/09/13 19:46:48 $
 */
public class ClientSample {

	/**
	 * 
	 */
	public ClientSample() {
		super();
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			String serviceAddress = "http://localhost:8080/co-srv/soap/Cooperation";
			CooperationClient cc = new CooperationClient(serviceAddress);
			String id = "user";
			String artifact = cc.getArtifact(id);
			System.out.println(artifact);
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

}
